-- --------------------------------------------------------
-- 主机:                           127.0.0.1
-- 服务器版本:                        8.0.18 - MySQL Community Server - GPL
-- 服务器OS:                        Win64
-- HeidiSQL 版本:                  10.2.0.5599
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


-- Dumping database structure for master
CREATE DATABASE IF NOT EXISTS `es_` /*!40100 DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci */ /*!80016 DEFAULT ENCRYPTION='N' */;
USE `es_`;

-- Dumping structure for table master.user
CREATE TABLE IF NOT EXISTS `es_goods` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `goods_name` varchar(100) DEFAULT NULL COMMENT '商品名',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='商品';

-- Dumping data for table master.es_goods: ~0 rows (大约)
DELETE FROM `es_goods`;

INSERT INTO `es_goods` (`goods_name`) VALUES ('测试面膜');
INSERT INTO `es_goods` (`goods_name`) VALUES ('MEDIHEAL/美迪惠尔可莱丝针剂水库面膜贴10片');
INSERT INTO `es_goods` (`goods_name`) VALUES ('SNP海洋燕窝补水美白面膜10片');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Paparecipe春雨 天然蜂蜜补水面膜 10片装');
INSERT INTO `es_goods` (`goods_name`) VALUES ('RAY 银色蚕丝面膜 10片（泰国）');
INSERT INTO `es_goods` (`goods_name`) VALUES ('RAY 金色蚕丝面膜 10片（泰版）');
INSERT INTO `es_goods` (`goods_name`) VALUES ('补水测试面膜');
INSERT INTO `es_goods` (`goods_name`) VALUES ('华为畅享7 Plus 3GB 32GB 移动联通电信4G手机 双卡双待');
INSERT INTO `es_goods` (`goods_name`) VALUES ('华为畅享7 Plus 4GB 64GB 移动联通电信4G手机 双卡双待');
INSERT INTO `es_goods` (`goods_name`) VALUES ('华为 nova 2 4GB 64GB移动联通电信4G手机');
INSERT INTO `es_goods` (`goods_name`) VALUES ('华为 nova 2 Plus 4GB 128GB 移动联通电信4G手机');
INSERT INTO `es_goods` (`goods_name`) VALUES ('华为 Mate9 Pro 4GB 64GB版 移动联通电信4G手机 双卡双待');
INSERT INTO `es_goods` (`goods_name`) VALUES ('华为 Mate9 Pro 6GB 128GB版 移动联通电信4G手机 双卡双待');
INSERT INTO `es_goods` (`goods_name`) VALUES ('华为 HUAWEI P10 全网通 4GB+64GB 移动联通电信4G手机 双卡双待');
INSERT INTO `es_goods` (`goods_name`) VALUES ('华为 Mate9 4GB 64GB版 移动联通电信4G手机 双卡双待');
INSERT INTO `es_goods` (`goods_name`) VALUES ('华为 Mate9 6GB 128GB版 移动联通电信4G手机 双卡双待');
INSERT INTO `es_goods` (`goods_name`) VALUES ('华为畅享6 3G 16G全网通4G手机');
INSERT INTO `es_goods` (`goods_name`) VALUES ('华为 麦芒5 64G全网通4G智能手机');
INSERT INTO `es_goods` (`goods_name`) VALUES ('华为 nova 青春版 4GB 64GB全网通4G智能拍照手机');
INSERT INTO `es_goods` (`goods_name`) VALUES ('【根源修护 战“痘”明星】Aquascutum雅格狮丹粉刺调理复方精油30ml/瓶 净痘淡印');
INSERT INTO `es_goods` (`goods_name`) VALUES ('荣耀9 全网通 高配版 6GB+64GB 移动联通电信4G手机 双卡双待');
INSERT INTO `es_goods` (`goods_name`) VALUES ('乐心ziva 智能手环测心率手表蓝牙计步器安卓苹果ios防水运动手环');
INSERT INTO `es_goods` (`goods_name`) VALUES ('乐心/lifesense Mambo 防水蓝牙微信互联安卓苹果智能手表');
INSERT INTO `es_goods` (`goods_name`) VALUES ('乐心 MAMBO HR 智能手环 心率手环 来电显示 震动提醒 计步 防水 微信互联 黑色');
INSERT INTO `es_goods` (`goods_name`) VALUES ('乐心体脂秤s5智能测量仪家用人体健康电子减肥称体重脂肪秤精准');
INSERT INTO `es_goods` (`goods_name`) VALUES ('【实付款满69包邮】美颜秘笈果冻口红不脱色不沾杯防水持久保湿滋润咬温变唇膏口红第二支限时半价');
INSERT INTO `es_goods` (`goods_name`) VALUES ('LG竹盐迪士尼卡通啫喱型按压牙膏清雅薄荷 去牙渍口臭');
INSERT INTO `es_goods` (`goods_name`) VALUES ('美颜秘笈植物口红哑光持久保湿滋润口红不易褪色不干唇膏唇彩【送肌美精面膜】第二支限时半价');
INSERT INTO `es_goods` (`goods_name`) VALUES ('韩国进口LG睿嫣润膏舒盈洗发水250ml补水保湿莹润 【2支装】');
INSERT INTO `es_goods` (`goods_name`) VALUES ('美颜秘笈唇釉唇彩持久保湿滋润不易沾杯脱色持久不易口红唇液咬唇【送1片肌美精面膜】 第二支限时半价');
INSERT INTO `es_goods` (`goods_name`) VALUES ('美颜秘笈限量果冻口红温变不沾杯不脱色 +植物口红持久滋润【限时特价】');
INSERT INTO `es_goods` (`goods_name`) VALUES ('LG倍瑞傲全优倍护牙膏 120g（酷爽薄荷、清雅薄荷、柠檬舒缓）限时特价，第二件半价');
INSERT INTO `es_goods` (`goods_name`) VALUES ('韩国LG竹盐派缤成人牙膏按压式285g清新口气 薄荷香型');
INSERT INTO `es_goods` (`goods_name`) VALUES ('韩国LG倍瑞傲派缤成人牙膏 285g按压式 去口臭气包邮');
INSERT INTO `es_goods` (`goods_name`) VALUES ('摩托罗拉 Motorola 青柚 前后1600w像素 全网通智能手机 双卡双待 4GB+32GB');
INSERT INTO `es_goods` (`goods_name`) VALUES ('摩托罗拉 Motorola z2 play 全网通智能手机 双卡双待 4GB+64GB');
INSERT INTO `es_goods` (`goods_name`) VALUES ('瑞士Lady show淑女秀 知名抗衰皮肤研究院配方 清新素颜 透感轻盈隔离妆前乳 spf30+++');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Lady show淑女秀 净泉修复娇嫩靓颜冰面膜 舒缓补水保湿 提亮肤色');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Aquascutum雅格狮丹祛黑眼圈复方精油30ml/瓶 排浊补水 重现紧实水润双眸');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Aquascutum雅格狮丹保加利亚玫瑰纯露200ml/瓶 拒绝细纹 看得见的白皙水润');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Aquascutum雅格狮丹法国薰衣草纯露200ml/瓶 控油保湿 淡印舒敏 战“痘”好搭档');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Lady show淑女秀 葡萄籽清肌亮润卸妆油 深层清洁');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Aquascutum雅格狮丹玫瑰精油洁面膏〓深层清洁滋养肌底');
INSERT INTO `es_goods` (`goods_name`) VALUES ('请勿拍');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Aquascutum雅格狮丹保加利亚玫瑰身体乳200ml/瓶 柔滑保湿 肌肤呈现水润活力');
INSERT INTO `es_goods` (`goods_name`) VALUES ('日本kracie肌美精3D面膜 深层净白渗透面膜 蓝色1片');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS）电吹风机家用 折叠时尚便捷吹风筒VS906RCN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS）电吹风机家用 美发壁挂式迷你吹风筒（1200W）红色VS905ACN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS）时尚造型吹风筒 迷你便携可折叠吹风机小（1200W）VS908PCN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS）电吹风家用 负离子恒温护发吹风筒（1200W）VS912PICN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣VS 2000W家用大功率不伤发冷热风恒温吹风筒发廊电吹风VS5543PICN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS）电吹风机家用 大功率吹风筒VS53CN (1875W)');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS）电吹风机家用 大功率强风吹风筒VS9142BCN （1600W）');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS）电吹风机家用 冷热恒温不伤发 吹风筒（1875W）VS53IBCN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS）吹风机家用 负离子大功率吹风筒（1600W）粉红色 VSD590PCN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS） 负离子大功率吹风筒 恒温护发电吹风（1600W）黑色VSD590BCN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS）负离子恒温护发吹风筒（1200W） 粉红色 VS912PICN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS） 折叠收线电吹风冷热风家用负离子恒温机风筒1700W VS289PCN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS） 负离子恒温护发 大功率强风吹风筒（1600W 红色 VSD271CN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS）直发器卷直两用 陶瓷面板不伤发直夹板 粉红色 16MM');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS）迷你便携 陶瓷不伤发空气刘海梨花头电卷棒 粉色 25MM');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS）陶瓷不伤发 空气刘海梨花头电卷棒 红色 25MM VSCD63ACN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS） 负离子直卷两用陶瓷不伤发电卷棒直板夹 粉色 32MM VSI3270PICN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS）电吹风机 家用造型风梳 直/卷发造型卷发棒 VSAS80SCN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS） 卷发棒直发器 多功能造型神器干湿两用不伤发 VSAS80PICN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS）全自动卷发器 电动水波纹防烫大卷发棒 懒人烫发神器 VS901PCN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS） 直发器 内扣空气刘海拉直板夹 粉色花纹 14MM VS2856PCN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS） 直发器卷直两用夹板 内扣空气刘海拉直板夹 粉红色 VSCS80PCN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS） 直发器陶瓷恒温不伤发夹板 粉红色 25MM VSCS50PCN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS） 直发器干湿两用直板夹 迷你便携拉直内扣夹板');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS） 卷发棒直发器美发梳套装组合迷你三件套送礼方便 VSCS8063CN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS） 陶瓷电卷发棒直卷两用夹板 烫发不伤发 银白色 38MM');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS） 陶瓷电卷发棒直卷两用烫发不伤发 金黄色 38MM VSCD86TCN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS）陶瓷波浪电发夹粟米玉米烫三管蛋卷棒 粉色 VS2338PICN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS）卷发棒陶瓷不伤发 自然卷大卷金黄蛋卷梨花头 32MM VSCD82CCN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS）大卷梳子不伤发圆卷发梳梨花头圆滚头梳负离子美发梳');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS） 负离子梳子 防静电卷发直发造型梳美发梳 黑色VS794487BCN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS） 负离子梳子 防静电卷发直发造型梳美发梳 红色 VS794487RCN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS）气垫发梳防静电 气囊按摩梳子 粉红色 VSF76003APBCN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS）气垫梳子 袋装软垫发梳 按摩梳 粉红色 VSF76204APBCN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS）梳子迷你圆卷发梳梨花头金属热板美发梳子 VSF76205APBCN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS）卷发梳防静电 大卷圆发梳 按摩造型梳 粉红色 VST76105PCN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS） 塑料防静电顺发内扣两用美发密齿梳 VST93507CN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('沙宣（VS）直发造型防静电顺发内扣按摩尖尾梳 VST93509CN');
INSERT INTO `es_goods` (`goods_name`) VALUES ('DELSEY法国大使 休闲电脑双肩包');
INSERT INTO `es_goods` (`goods_name`) VALUES ('DELSEY法国大使休闲背包男士时尚学院风功能双肩包');
INSERT INTO `es_goods` (`goods_name`) VALUES ('DELSEY法国大使拉杆箱20寸带前置口袋电脑袋万向轮旅行登机箱');
INSERT INTO `es_goods` (`goods_name`) VALUES ('DELSEY法国大使拉杆旅行箱20寸842万向轮行李箱');
INSERT INTO `es_goods` (`goods_name`) VALUES ('法国大使（Delsey）时尚流行电脑包防水双肩手提两用包男女书包橙红色70370760004');
INSERT INTO `es_goods` (`goods_name`) VALUES ('RAY蚕丝金银色面膜20片（泰版）');
INSERT INTO `es_goods` (`goods_name`) VALUES ('淑女秀 活力紧致滋养修复眼膜 提亮眼周肌肤，去熊猫眼，预防法令纹，一片双效 10片/盒');
INSERT INTO `es_goods` (`goods_name`) VALUES ('RAY 蚕丝面膜金色+银色（泰版）');
INSERT INTO `es_goods` (`goods_name`) VALUES ('RAY 金色蚕丝面膜 10片（泰版）*2');
INSERT INTO `es_goods` (`goods_name`) VALUES ('RAY 银色蚕丝面膜 10片（泰国）*2');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Paparecipe春雨 天然蜂蜜补水面膜 *2');
INSERT INTO `es_goods` (`goods_name`) VALUES ('MEDIHEAL/美迪惠尔可莱丝针剂水库面膜贴*2');
INSERT INTO `es_goods` (`goods_name`) VALUES ('I-Mu/幻响 小旺礼物蓝牙音箱可爱创意音响迷你无线手机电脑低音炮');
INSERT INTO `es_goods` (`goods_name`) VALUES ('I-Mu/幻响小旺创意狗指环扣手机金属懒人支架贴');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Aquascutum雅格狮丹茶树精油15ml/瓶 澳洲茶树萃取 强健肌底 镇静止痒');
INSERT INTO `es_goods` (`goods_name`) VALUES ('imu幻响风小净电动智能纳米防雾霾pm2.5口罩送风透气防霾甲醛防尘');
INSERT INTO `es_goods` (`goods_name`) VALUES ('幻响（i-mu） 口罩 标准防护PM2.5 雾霾粉尘油烟抗菌儿童孕妇男女透气 标准防护口罩（8片装）');
INSERT INTO `es_goods` (`goods_name`) VALUES ('幻响防护口罩 （增强型）新国标A级纳米防护PM2.5防雾霾粉尘油烟抗菌儿童孕妇男女透气（5片装）');
INSERT INTO `es_goods` (`goods_name`) VALUES ('幻响（i-mu） 10000毫安超薄充电宝\\移动电源 刀锋8 支持Type-C与双USB 刀锋8');
INSERT INTO `es_goods` (`goods_name`) VALUES ('幻响（i-mu）小L LED折叠护眼灯 学习阅读灯 床头灯 国标认证 护眼无蓝光 金属材质');
INSERT INTO `es_goods` (`goods_name`) VALUES ('imu幻响 LED护眼台灯学生儿童工作台灯折叠床头灯可调光护眼灯');
INSERT INTO `es_goods` (`goods_name`) VALUES ('幻响（i-mu）小吉 创意多媒体音响/音箱-蓝牙版 无线蓝牙连接 时尚外观设计 内置锂电');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Ladyshow淑女秀舒缓提靓美肤面膜5PC/盒 滋养美白 改善肤色 还原光泽美肌');
INSERT INTO `es_goods` (`goods_name`) VALUES ('【24小时白金级补水润养】Ladyshow淑女秀补水保湿靓肤面膜5PC/盒 快速补水 持续保湿');
INSERT INTO `es_goods` (`goods_name`) VALUES ('重塑弹性美肌 链接紧实年轻Ladyshow淑女秀提拉紧致靓肤面膜5PC/盒 收缩毛孔 焕颜靓润美肌');
INSERT INTO `es_goods` (`goods_name`) VALUES ('预售面膜');
INSERT INTO `es_goods` (`goods_name`) VALUES ('【F码】美颜秘笈限量果冻口红温变不沾杯不脱色 +植物口红持久滋润');
INSERT INTO `es_goods` (`goods_name`) VALUES ('掌阅iReader Light青春版电子墨水屏wifi传书 6英寸触模屏电子书阅读器');
INSERT INTO `es_goods` (`goods_name`) VALUES ('掌阅iReader Light 原装保护套PU皮+PC 适用6英寸');
INSERT INTO `es_goods` (`goods_name`) VALUES ('【官方旗舰店】掌阅iReader Ocean6.8英寸纯平触摸屏电子书阅读器');
INSERT INTO `es_goods` (`goods_name`) VALUES ('【官方旗舰店】掌阅iReader Light 阅读器真皮保护套 适用6英寸 适用6英寸light');
INSERT INTO `es_goods` (`goods_name`) VALUES ('【官方旗舰店】掌阅iReader Light悦享版6英寸电纸书电子书阅读器 炫彩版');
INSERT INTO `es_goods` (`goods_name`) VALUES ('测试存稿');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Chief Mi-清蜜美瞳 半年抛【灰色】 一盒一片装 买一送一');
INSERT INTO `es_goods` (`goods_name`) VALUES ('测试我也');
INSERT INTO `es_goods` (`goods_name`) VALUES ('测试勿拍4');
INSERT INTO `es_goods` (`goods_name`) VALUES ('测试勿拍5');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸鲨烷保湿水嫩面膜贴  玻尿酸面膜补水保湿 收缩毛孔 正品包邮');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸魔力纤长睫毛膏3.5g 纤长浓密卷翘不晕染 小刷头 易卸妆');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸臻白焕采亮肤水120ml 补水淡化痘印化妆水 美白祛斑');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸臻白焕采亮肤乳液100ml 白皙保湿补水提亮肤色 美白补水');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸肌初美容液Ⅰ 清爽型爽肤水 吸收酵母提取液 深层保湿补水');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸肌初美容液2瓶组合装 酵母提取液 补水保湿');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸纯净清颜睡眠面膜120g 免洗补水白皙收缩毛孔');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸纯净清颜眼唇卸妆液100ml 眼部卸妆水温和卸妆乳清爽卸妆油');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸纯净清颜去角质霜啫哩 面部全身温和去死皮膏身体脸部男女');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸纯净清颜卸妆油150ml 温和脸部深层清洁改善黑头卸妆水乳液');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸焕采泡沫洁面膏100ml 温和洗面奶亮肤补水深层清洁洁面乳男女');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸清透肌爽肤水150ml 控油补水收缩毛孔二次清洁化妆水');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸清透肌洁面水乳液护肤品套装 补水控油收缩毛孔化妆品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸清透肌洁面乳100ml 洗面奶补水保湿去控油收缩毛孔清洁');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸清新冰爽防晒霜SPF35 PA+++ 面部全身防晒乳防汗防水男女学生');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸洗面奶女 深层清洁 补水保湿清洁毛孔 泡沫洁面乳男女通用');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸水漾沁透眼啫喱眼霜30g 淡化眼袋黑眼圈细纹 改善脂肪粒');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸气垫BB霜祼妆遮瑕 控油保湿 自然持久不脱妆送替换芯正品国货');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾面部护理套装 水乳精华深层补水保湿滋润护肤品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾补水精华露40ml  温和补水 保湿滋润肌肤 改善肤色');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾深层补水保湿护肤品套装 化妆品滋润女男');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾洁面乳100ml 补水控油洗面奶 深层清洁毛孔改善黑头');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾柔肤水150ml 深层补水二次清洁细致收缩毛孔');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾柔肤乳100ml 锁水深层补水保湿控油滋润 温和无刺激');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾保湿霜50g 面部精华 滋润补水保湿 补水面霜女');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾保湿液150ml  温和无刺激 深层补水滋润 保湿护肤品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾保湿乳液100ml 深层补水保湿滋润肌肤 温和无刺激');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸御痕修护液 补水保湿精华液原液 促进吸收收缩毛孔提亮肤色');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸幻时凝润眼啫喱30g淡化黑眼圈眼袋眼细纹脂肪粒补水提拉紧致');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸幻时凝润活力保湿霜50g 补水紧致面霜护肤品化妆品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸幻时凝润泡沫洁面膏100ml 温和洁面弱酸性氨基酸洗面奶');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸幻时凝润亲肤乳液120ml 锁水补水保湿紧致收缩毛孔化妆品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸干湿两用粉饼12g 正品提亮肤色 遮瑕 定妆控油化妆品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸希芸鲨烷柔嫩护手霜75g+30g 补水保湿深层滋养防干裂');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸嫩白修护液小蓝瓶10ml 面部精华 美白保湿淡斑 肌底液 精华液');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸嫩白修护液40ml+10ml  祛斑淡斑去黄 美白补水 保湿面部精华');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸卸妆乳液150ml 深层清洁温和脸部眼唇部 温和卸妆');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸化妆品护肤套装 补水保湿白皙淡化痘印提亮肤色养白肌肤');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸净颜修容隔离霜35ml 妆前乳 提亮肤色 隔离紫外线紫色绿色');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸倾心水漾限量礼盒 补水保湿套装 气垫BB隔离柔肤水乳液精华');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸亮肤精华露/液35ml 补水 淡化黑色素 提亮均匀肤色 美白祛斑');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸丝绒盈润唇膏3.5g 口红哑光 雾面持久保湿滋润不脱色咬唇妆');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸面部护理套装 深层补水保湿 温和不刺激 化妆品套装女');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸肌初悦享限量礼盒 补水保湿护肤套装 软化角质');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸美白淡斑补水护肤套装 化妆品保湿淡化痘印 美白补水');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸纯净清颜活肤按摩霜120g 补水保湿收缩毛孔深层清洁');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸清透肌爽肤乳液100ml 补水保湿收缩毛孔清爽控油');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸水漾眼霜30g 眼部护理补水保湿淡化眼袋黑眼圈细纹');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸水漾沁透滋养霜50g 保湿补水锁水面霜 滋润防干燥');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸幻时凝润紧致补水保湿化妆品套装 淡化干纹细纹');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸幻时凝润亲肤水120ml 补水紧致补水淡化细纹保湿');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸希芸肌初美容液Ⅱ 滋润型 酵母提取液 精华水 爽肤水');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸鲨烷保湿水嫩面膜贴  玻尿酸面膜补水保湿 收缩毛孔 正品包邮');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸魔力纤长睫毛膏3.5g 纤长浓密卷翘不晕染 小刷头 易卸妆');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸臻白焕采亮肤水120ml 补水淡化痘印化妆水 美白祛斑');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸臻白焕采亮肤乳液100ml 白皙保湿补水提亮肤色 美白补水');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸肌初美容液Ⅰ 清爽型爽肤水 吸收酵母提取液 深层保湿补水');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸肌初美容液2瓶组合装 酵母提取液 补水保湿');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸纯净清颜睡眠面膜120g 免洗补水白皙收缩毛孔');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸纯净清颜眼唇卸妆液100ml 眼部卸妆水温和卸妆乳清爽卸妆油');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸纯净清颜去角质霜啫哩 面部全身温和去死皮膏身体脸部男女');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸纯净清颜卸妆油150ml 温和脸部深层清洁改善黑头卸妆水乳液');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸焕采泡沫洁面膏100ml 温和洗面奶亮肤补水深层清洁洁面乳男女');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸清透肌爽肤水150ml 控油补水收缩毛孔二次清洁化妆水');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸清透肌洁面水乳液护肤品套装 补水控油收缩毛孔化妆品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸清透肌洁面乳100ml 洗面奶补水保湿去控油收缩毛孔清洁');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸清新冰爽防晒霜SPF35 PA+++ 面部全身防晒乳防汗防水男女学生');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸洗面奶女 深层清洁 补水保湿清洁毛孔 泡沫洁面乳男女通用');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸水漾沁透眼啫喱眼霜30g 淡化眼袋黑眼圈细纹 改善脂肪粒');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸气垫BB霜祼妆遮瑕 控油保湿 自然持久不脱妆送替换芯正品国货');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾面部护理套装 水乳精华深层补水保湿滋润护肤品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾补水精华露40ml  温和补水 保湿滋润肌肤 改善肤色');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾深层补水保湿护肤品套装 化妆品滋润女男');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾洁面乳100ml 补水控油洗面奶 深层清洁毛孔改善黑头');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾柔肤水150ml 深层补水二次清洁细致收缩毛孔');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾柔肤乳100ml 锁水深层补水保湿控油滋润 温和无刺激');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾保湿霜50g 面部精华 滋润补水保湿 补水面霜女');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾保湿液150ml  温和无刺激 深层补水滋润 保湿护肤品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾保湿乳液100ml 深层补水保湿滋润肌肤 温和无刺激');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸御痕修护液 补水保湿精华液原液 促进吸收收缩毛孔提亮肤色');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸幻时凝润眼啫喱30g淡化黑眼圈眼袋眼细纹脂肪粒补水提拉紧致');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸幻时凝润活力保湿霜50g 补水紧致面霜护肤品化妆品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸幻时凝润泡沫洁面膏100ml 温和洁面弱酸性氨基酸洗面奶');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸幻时凝润亲肤乳液120ml 锁水补水保湿紧致收缩毛孔化妆品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸干湿两用粉饼12g 正品提亮肤色 遮瑕 定妆控油化妆品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸希芸鲨烷柔嫩护手霜75g+30g 补水保湿深层滋养防干裂');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸嫩白修护液小蓝瓶10ml 面部精华 美白保湿淡斑 肌底液 精华液');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸嫩白修护液40ml+10ml  祛斑淡斑去黄 美白补水 保湿面部精华');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸卸妆乳液150ml 深层清洁温和脸部眼唇部 温和卸妆');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸化妆品护肤套装 补水保湿白皙淡化痘印提亮肤色养白肌肤');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸净颜修容隔离霜35ml 妆前乳 提亮肤色 隔离紫外线紫色绿色');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸倾心水漾限量礼盒 补水保湿套装 气垫BB隔离柔肤水乳液精华');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸亮肤精华露/液35ml 补水 淡化黑色素 提亮均匀肤色 美白祛斑');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸丝绒盈润唇膏3.5g 口红哑光 雾面持久保湿滋润不脱色咬唇妆');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸面部护理套装 深层补水保湿 温和不刺激 化妆品套装女');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸肌初悦享限量礼盒 补水保湿护肤套装 软化角质');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸美白淡斑补水护肤套装 化妆品保湿淡化痘印 美白补水');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸纯净清颜活肤按摩霜120g 补水保湿收缩毛孔深层清洁');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸清透肌爽肤乳液100ml 补水保湿收缩毛孔清爽控油');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸水漾眼霜30g 眼部护理补水保湿淡化眼袋黑眼圈细纹');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸水漾沁透滋养霜50g 保湿补水锁水面霜 滋润防干燥');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸幻时凝润紧致补水保湿化妆品套装 淡化干纹细纹');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸幻时凝润亲肤水120ml 补水紧致补水淡化细纹保湿');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸希芸肌初美容液Ⅱ 滋润型 酵母提取液 精华水 爽肤水');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸鲨烷美容油礼盒 面部修护精华油保湿滋润精油角鲨烷软化角质');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸鲨烷美容油礼盒 面部修护精华油保湿滋润精油角鲨烷软化角质');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸鲨烷美容油礼盒 面部修护精华油保湿滋润精油角鲨烷软化角质');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸鲨烷保湿水嫩面膜贴清爽型 玻尿酸面膜补水保湿 收缩毛孔包邮');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸鲨烷保湿水嫩面膜贴  玻尿酸面膜补水保湿 收缩毛孔 正品包邮');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸魔力纤长睫毛膏3.5g 纤长浓密卷翘不晕染 小刷头 易卸妆');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸臻白焕采亮肤水120ml 补水淡化痘印化妆水 美白祛斑');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸臻白焕采亮肤乳液100ml 白皙保湿补水提亮肤色 美白补水');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸肌初美容液Ⅰ 清爽型爽肤水 吸收酵母提取液 深层保湿补水');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸肌初美容液2瓶组合装 酵母提取液 补水保湿');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸纯净清颜睡眠面膜120g 免洗补水白皙收缩毛孔');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸纯净清颜眼唇卸妆液100ml 眼部卸妆水温和卸妆乳清爽卸妆油');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸纯净清颜去角质霜啫哩 面部全身温和去死皮膏身体脸部男女');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸纯净清颜卸妆油150ml 温和脸部深层清洁改善黑头卸妆水乳液');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸焕采泡沫洁面膏100ml 温和洗面奶亮肤补水深层清洁洁面乳男女');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸清透肌爽肤水150ml 控油补水收缩毛孔二次清洁化妆水');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸清透肌洁面水乳液护肤品套装 补水控油收缩毛孔化妆品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸清透肌洁面乳100ml 洗面奶补水保湿去控油收缩毛孔清洁');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸清新冰爽防晒霜SPF35 PA+++ 面部全身防晒乳防汗防水男女学生');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸洗面奶女 深层清洁 补水保湿清洁毛孔 泡沫洁面乳男女通用');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸水漾沁透眼啫喱眼霜30g 淡化眼袋黑眼圈细纹 改善脂肪粒');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸气垫BB霜祼妆遮瑕 控油保湿 自然持久不脱妆送替换芯正品国货');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾面部护理套装 水乳精华深层补水保湿滋润护肤品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾补水精华露40ml  温和补水 保湿滋润肌肤 改善肤色');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾深层补水保湿护肤品套装 化妆品滋润女男');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾洁面乳100ml 补水控油洗面奶 深层清洁毛孔改善黑头');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾柔肤水150ml 深层补水二次清洁细致收缩毛孔');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾柔肤乳100ml 锁水深层补水保湿控油滋润 温和无刺激');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾保湿霜50g 面部精华 滋润补水保湿 补水面霜女');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾保湿液150ml  温和无刺激 深层补水滋润 保湿护肤品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾保湿乳液100ml 深层补水保湿滋润肌肤 温和无刺激');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸御痕修护液 补水保湿精华液原液 促进吸收收缩毛孔提亮肤色');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸幻时凝润眼啫喱30g淡化黑眼圈眼袋眼细纹脂肪粒补水提拉紧致');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸幻时凝润活力保湿霜50g 补水紧致面霜护肤品化妆品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸幻时凝润泡沫洁面膏100ml 温和洁面弱酸性氨基酸洗面奶');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸幻时凝润亲肤乳液120ml 锁水补水保湿紧致收缩毛孔化妆品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸干湿两用粉饼12g 正品提亮肤色 遮瑕 定妆控油化妆品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸希芸鲨烷柔嫩护手霜75g+30g 补水保湿深层滋养防干裂');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸嫩白修护液小蓝瓶10ml 面部精华 美白保湿淡斑 肌底液 精华液');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸嫩白修护液40ml+10ml  祛斑淡斑去黄 美白补水 保湿面部精华');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸卸妆乳液150ml 深层清洁温和脸部眼唇部 温和卸妆');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸化妆品护肤套装 补水保湿白皙淡化痘印提亮肤色养白肌肤');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸净颜修容隔离霜35ml 妆前乳 提亮肤色 隔离紫外线紫色绿色');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸倾心水漾限量礼盒 补水保湿套装 气垫BB隔离柔肤水乳液精华');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸亮肤精华露/液35ml 补水 淡化黑色素 提亮均匀肤色 美白祛斑');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸丝绒盈润唇膏3.5g 口红哑光 雾面持久保湿滋润不脱色咬唇妆');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸面部护理套装 深层补水保湿 温和不刺激 化妆品套装女');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸肌初悦享限量礼盒 补水保湿护肤套装 软化角质');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸美白淡斑补水护肤套装 化妆品保湿淡化痘印 美白补水');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸纯净清颜活肤按摩霜120g 补水保湿收缩毛孔深层清洁');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸清透肌爽肤乳液100ml 补水保湿收缩毛孔清爽控油');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸水漾眼霜30g 眼部护理补水保湿淡化眼袋黑眼圈细纹');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸水漾沁透滋养霜50g 保湿补水锁水面霜 滋润防干燥');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸幻时凝润紧致补水保湿化妆品套装 淡化干纹细纹');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸幻时凝润亲肤水120ml 补水紧致补水淡化细纹保湿');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸希芸肌初美容液Ⅱ 滋润型 酵母提取液 精华水 爽肤水');
INSERT INTO `es_goods` (`goods_name`) VALUES ('自营测试');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸鲨烷美容油礼盒 面部修护精华油保湿滋润精油角鲨烷软化角质');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸鲨烷保湿水嫩面膜贴清爽型 玻尿酸面膜补水保湿 收缩毛孔包邮');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸鲨烷保湿水嫩面膜贴  玻尿酸面膜补水保湿 收缩毛孔 正品包邮');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸魔力纤长睫毛膏3.5g 纤长浓密卷翘不晕染 小刷头 易卸妆');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸臻白焕采亮肤水120ml 补水淡化痘印化妆水 美白祛斑');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸臻白焕采亮肤乳液100ml 白皙保湿补水提亮肤色 美白补水');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸肌初美容液Ⅰ 清爽型爽肤水 吸收酵母提取液 深层保湿补水');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸肌初美容液2瓶组合装 酵母提取液 补水保湿');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸纯净清颜睡眠面膜120g 免洗补水白皙收缩毛孔');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸纯净清颜眼唇卸妆液100ml 眼部卸妆水温和卸妆乳清爽卸妆油');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸纯净清颜去角质霜啫哩 面部全身温和去死皮膏身体脸部男女');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸纯净清颜卸妆油150ml 温和脸部深层清洁改善黑头卸妆水乳液');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸焕采泡沫洁面膏100ml 温和洗面奶亮肤补水深层清洁洁面乳男女');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸清透肌爽肤水150ml 控油补水收缩毛孔二次清洁化妆水');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸清透肌洁面水乳液护肤品套装 补水控油收缩毛孔化妆品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸清透肌洁面乳100ml 洗面奶补水保湿去控油收缩毛孔清洁');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸清新冰爽防晒霜SPF35 PA+++ 面部全身防晒乳防汗防水男女学生');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸洗面奶女 深层清洁 补水保湿清洁毛孔 泡沫洁面乳男女通用');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸水漾沁透眼啫喱眼霜30g 淡化眼袋黑眼圈细纹 改善脂肪粒');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸气垫BB霜祼妆遮瑕 控油保湿 自然持久不脱妆送替换芯正品国货');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾面部护理套装 水乳精华深层补水保湿滋润护肤品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾补水精华露40ml  温和补水 保湿滋润肌肤 改善肤色');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾深层补水保湿护肤品套装 化妆品滋润女男');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾洁面乳100ml 补水控油洗面奶 深层清洁毛孔改善黑头');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾柔肤水150ml 深层补水二次清洁细致收缩毛孔');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾柔肤乳100ml 锁水深层补水保湿控油滋润 温和无刺激');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾保湿霜50g 面部精华 滋润补水保湿 补水面霜女');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾保湿液150ml  温和无刺激 深层补水滋润 保湿护肤品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾保湿乳液100ml 深层补水保湿滋润肌肤 温和无刺激');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸御痕修护液 补水保湿精华液原液 促进吸收收缩毛孔提亮肤色');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸幻时凝润眼啫喱30g淡化黑眼圈眼袋眼细纹脂肪粒补水提拉紧致');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸幻时凝润活力保湿霜50g 补水紧致面霜护肤品化妆品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸幻时凝润泡沫洁面膏100ml 温和洁面弱酸性氨基酸洗面奶');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸幻时凝润亲肤乳液120ml 锁水补水保湿紧致收缩毛孔化妆品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸干湿两用粉饼12g 正品提亮肤色 遮瑕 定妆控油化妆品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸希芸鲨烷柔嫩护手霜75g+30g 补水保湿深层滋养防干裂');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸嫩白修护液小蓝瓶10ml 面部精华 美白保湿淡斑 肌底液 精华液');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸嫩白修护液40ml+10ml  祛斑淡斑去黄 美白补水 保湿面部精华');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸卸妆乳液150ml 深层清洁温和脸部眼唇部 温和卸妆');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸化妆品护肤套装 补水保湿白皙淡化痘印提亮肤色养白肌肤');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸净颜修容隔离霜35ml 妆前乳 提亮肤色 隔离紫外线紫色绿色');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸倾心水漾限量礼盒 补水保湿套装 气垫BB隔离柔肤水乳液精华');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸亮肤精华露/液35ml 补水 淡化黑色素 提亮均匀肤色 美白祛斑');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸丝绒盈润唇膏3.5g 口红哑光 雾面持久保湿滋润不脱色咬唇妆');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸面部护理套装 深层补水保湿 温和不刺激 化妆品套装女');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸肌初悦享限量礼盒 补水保湿护肤套装 软化角质');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸美白淡斑补水护肤套装 化妆品保湿淡化痘印 美白补水');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸纯净清颜活肤按摩霜120g 补水保湿收缩毛孔深层清洁');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸清透肌爽肤乳液100ml 补水保湿收缩毛孔清爽控油');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸水漾眼霜30g 眼部护理补水保湿淡化眼袋黑眼圈细纹');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸水漾沁透滋养霜50g 保湿补水锁水面霜 滋润防干燥');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸幻时凝润紧致补水保湿化妆品套装 淡化干纹细纹');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸幻时凝润亲肤水120ml 补水紧致补水淡化细纹保湿');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸希芸肌初美容液Ⅱ 滋润型 酵母提取液 精华水 爽肤水');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸鲨烷美容油礼盒 面部修护精华油保湿滋润精油角鲨烷软化角质');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸鲨烷保湿水嫩面膜贴清爽型 玻尿酸面膜补水保湿 收缩毛孔包邮');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸鲨烷保湿水嫩面膜贴  玻尿酸面膜补水保湿 收缩毛孔 正品包邮');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸魔力纤长睫毛膏3.5g 纤长浓密卷翘不晕染 小刷头 易卸妆');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸臻白焕采亮肤水120ml 补水淡化痘印化妆水 美白祛斑');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸臻白焕采亮肤乳液100ml 白皙保湿补水提亮肤色 美白补水');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸肌初美容液Ⅰ 清爽型爽肤水 吸收酵母提取液 深层保湿补水');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸肌初美容液2瓶组合装 酵母提取液 补水保湿');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸纯净清颜睡眠面膜120g 免洗补水白皙收缩毛孔');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸纯净清颜眼唇卸妆液100ml 眼部卸妆水温和卸妆乳清爽卸妆油');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸纯净清颜去角质霜啫哩 面部全身温和去死皮膏身体脸部男女');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸纯净清颜卸妆油150ml 温和脸部深层清洁改善黑头卸妆水乳液');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸焕采泡沫洁面膏100ml 温和洗面奶亮肤补水深层清洁洁面乳男女');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸清透肌爽肤水150ml 控油补水收缩毛孔二次清洁化妆水');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸清透肌洁面水乳液护肤品套装 补水控油收缩毛孔化妆品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸清透肌洁面乳100ml 洗面奶补水保湿去控油收缩毛孔清洁');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸清新冰爽防晒霜SPF35 PA+++ 面部全身防晒乳防汗防水男女学生');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸洗面奶女 深层清洁 补水保湿清洁毛孔 泡沫洁面乳男女通用');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸水漾沁透眼啫喱眼霜30g 淡化眼袋黑眼圈细纹 改善脂肪粒');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸气垫BB霜祼妆遮瑕 控油保湿 自然持久不脱妆送替换芯正品国货');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾面部护理套装 水乳精华深层补水保湿滋润护肤品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾补水精华露40ml  温和补水 保湿滋润肌肤 改善肤色');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾深层补水保湿护肤品套装 化妆品滋润女男');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾洁面乳100ml 补水控油洗面奶 深层清洁毛孔改善黑头');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾柔肤水150ml 深层补水二次清洁细致收缩毛孔');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾柔肤乳100ml 锁水深层补水保湿控油滋润 温和无刺激');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾保湿霜50g 面部精华 滋润补水保湿 补水面霜女');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾保湿液150ml  温和无刺激 深层补水滋润 保湿护肤品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸新水漾保湿乳液100ml 深层补水保湿滋润肌肤 温和无刺激');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸御痕修护液 补水保湿精华液原液 促进吸收收缩毛孔提亮肤色');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸幻时凝润眼啫喱30g淡化黑眼圈眼袋眼细纹脂肪粒补水提拉紧致');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸幻时凝润活力保湿霜50g 补水紧致面霜护肤品化妆品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸幻时凝润泡沫洁面膏100ml 温和洁面弱酸性氨基酸洗面奶');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸幻时凝润亲肤乳液120ml 锁水补水保湿紧致收缩毛孔化妆品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸干湿两用粉饼12g 正品提亮肤色 遮瑕 定妆控油化妆品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸希芸鲨烷柔嫩护手霜75g+30g 补水保湿深层滋养防干裂');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸嫩白修护液小蓝瓶10ml 面部精华 美白保湿淡斑 肌底液 精华液');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸嫩白修护液40ml+10ml  祛斑淡斑去黄 美白补水 保湿面部精华');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸卸妆乳液150ml 深层清洁温和脸部眼唇部 温和卸妆');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸化妆品护肤套装 补水保湿白皙淡化痘印提亮肤色养白肌肤');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸净颜修容隔离霜35ml 妆前乳 提亮肤色 隔离紫外线紫色绿色');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸倾心水漾限量礼盒 补水保湿套装 气垫BB隔离柔肤水乳液精华');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸亮肤精华露/液35ml 补水 淡化黑色素 提亮均匀肤色 美白祛斑');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸丝绒盈润唇膏3.5g 口红哑光 雾面持久保湿滋润不脱色咬唇妆');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸面部护理套装 深层补水保湿 温和不刺激 化妆品套装女');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸肌初悦享限量礼盒 补水保湿护肤套装 软化角质');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸美白淡斑补水护肤套装 化妆品保湿淡化痘印 美白补水');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸纯净清颜活肤按摩霜120g 补水保湿收缩毛孔深层清洁');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸清透肌爽肤乳液100ml 补水保湿收缩毛孔清爽控油');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸水漾眼霜30g 眼部护理补水保湿淡化眼袋黑眼圈细纹');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸水漾沁透滋养霜50g 保湿补水锁水面霜 滋润防干燥');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸幻时凝润紧致补水保湿化妆品套装 淡化干纹细纹');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸幻时凝润亲肤水120ml 补水紧致补水淡化细纹保湿');
INSERT INTO `es_goods` (`goods_name`) VALUES ('Syrinx/希芸希芸肌初美容液Ⅱ 滋润型 酵母提取液 精华水 爽肤水');
INSERT INTO `es_goods` (`goods_name`) VALUES ('希芸鲨烷美容油礼盒 面部修护精华油保湿滋润精油角鲨烷软化角质');
INSERT INTO `es_goods` (`goods_name`) VALUES ('防晒乳');
INSERT INTO `es_goods` (`goods_name`) VALUES ('健美创研炫彩魅惑正品口红持久保湿唇膏豆沙色品牌化妆品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('去黑头收缩毛孔套装吸祛黑头导出液鼻贴粉刺撕拉式黑面膜');
INSERT INTO `es_goods` (`goods_name`) VALUES ('健美创研新型滋润口红持久保湿唇膏不易掉色正品斩男色');
INSERT INTO `es_goods` (`goods_name`) VALUES ('惠品优购】健美创研炫彩魅惑正品口红持久保湿唇膏豆沙色品牌化妆品');
INSERT INTO `es_goods` (`goods_name`) VALUES ('尿性面膜');
INSERT INTO `es_goods` (`goods_name`) VALUES ('自营测试');
