package com.example.es.service;

import com.example.es.document.ESGoodsDocument;

import java.util.List;

public interface EsSearchService extends BaseSearchService<ESGoodsDocument> {
    /**
     * 保存
     * @auther: zhoudong
     * @date: 2018/12/13 16:02
     */
    void save(ESGoodsDocument... ESGoodsDocuments);

    /**
     * 删除
     * @param id
     */
    void delete(String id);

    /**
     * 清空索引
     */
    void deleteAll();

    /**
     * 根据ID查询
     * @param id
     * @return
     */
    ESGoodsDocument getById(String id);

    /**
     * 查询全部
     * @return
     */
    List<ESGoodsDocument> getAll();
}
